#
# spec file for package ksquares
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang

Name:           ksquares
Version:        18.08.2
Release:        0
%define kf5_version 5.26.0
# Latest stable Applications (e.g. 17.08 in KA, but 17.11.80 in KUA)
%{!?_kapp_version: %define _kapp_version %(echo %{version}| awk -F. '{print $1"."$2}')}
Summary:        Strategic board game
License:        GPL-2.0+
Group:          Amusements/Games/Action/Arcade
Url:            http://www.kde.org
Source0:        ksquares-%{version}.tar.xz
BuildRequires:  extra-cmake-modules
BuildRequires:  kconfig-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kdeclarative-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  kdnssd-framework-devel
BuildRequires:  knewstuff-devel
BuildRequires:  knotifyconfig-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  libkdegames-devel
BuildRequires:  libkmahjongg-devel
BuildRequires:  phonon4qt5-devel
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  xz
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5QuickWidgets)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
Obsoletes:      %{name}5 < %{version}
Provides:       %{name}5 = %{version}
%if %{with lang}
Recommends:     %{name}-lang
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
KSquares is an implementation of the popular paper based game squares.
You must draw lines to complete squares, the player with the most
squares wins. You can play with up to 4 players, any number of which
may be controlled by the computer.

%if %{with lang}
%lang_package
%endif

%prep
%setup -q -n ksquares-%{version}

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %if %{with lang}
    %find_lang %{name} --with-man --all-name
    %kf5_find_htmldocs
  %endif
  %suse_update_desktop_file -r org.kde.ksquares          Game BoardGame

%files
%defattr(-,root,root)
%doc COPYING COPYING.DOC
%dir %{_kf5_configkcfgdir}
%doc %lang(en) %{_kf5_htmldir}/en/ksquares/
%{_kf5_applicationsdir}/org.kde.ksquares.desktop
%{_kf5_appstreamdir}/
%{_kf5_bindir}/ksquares
%{_kf5_configkcfgdir}/ksquares.kcfg
%{_kf5_iconsdir}/hicolor/*/*/ksquares.*

%if %{with lang}
%files lang -f %{name}.lang
%doc COPYING*
%endif

%changelog
